{% extends 'core/layout/layout.html.twig' %}

{% block stylesheets %}
{{ parent() }}
       
{% endblock %}

{% block title %}Mon panier!{% endblock %}

{% block container %}
<div class="content-landing">
        {% block content %} 
    <section>
        <h2>Mon panier</h2>
        <table class="table">
            <thead>
                <tr class="table-active">
                    <td>Produit</td>
                    <td>Prix</td>
                </tr>
            </thead>
            <tbody>
            {% for product in cart.products %}
                <tr>
                    <td>{{ product.name|capitalize }}</td>
                    <td>{{ product.price/100 }} €</td>
                </tr>
            {% endfor %}
            <tr class="table-active">
                <td>Total à payer</td>
                <td>{{ cart.total/100 }} €</td>
            </tr>
            </tbody>
        </table>
        <div>
            <button id="checkout-button" class="btn btn-primary">Valider mon panier</button>
        </div>
    </section>
     {% endblock %}
    </div>
   
{% endblock %}

{% block javascripts %}
{{ parent() }}
    {{ encore_entry_script_tags('js/landing-page', null, 'frontend') }}
    <script src="{{ asset('build/frontend/js/custom.js')}}"></script>
    <script src="https://js.stripe.com/v3/"></script>
    <script type="text/javascript">
        // Create an instance of the Stripe object with your publishable API key
        var stripe = Stripe("pk_test_51HkPZdCc8KoQEaMIDql30GSBanEj8aJDGTNpJIotdao7SMlshLBjXON95ms5igDRNeYiVa9NnlDoLIIScoN5s1MH00PB5BDRsh");
        var checkoutButton = document.getElementById("checkout-button");
        checkoutButton.addEventListener("click", function () {
            fetch("{{ path('stripe_create_session') }}", {
                method: "POST",
            })
                .then(function (response) {
                    return response.json();
                })
                .then(function (session) {
                    return stripe.redirectToCheckout({ sessionId: session.id });
                })
                .then(function (result) {
                    // If redirectToCheckout fails due to a browser or network
                    // error, you should display the localized error message to your
                    // customer using error.message.
                    if (result.error) {
                        alert(result.error.message);
                    }
                })
                .catch(function (error) {
                    console.error("Error:", error);
                });
        });
    </script>
{% endblock %}
